PHP-Update der Versionen 7.0, 5.6 und 5.5

PHP-Update der Versionen 7.0, 5.6 und 5.5

Das PHP-Entwicklungsteam hat am 21.07.2016 die Veröffentlichung neuer PHP Versions-Updates bekannt gegeben. Updates gab es für die drei aktuellen PHP-Zweige 7.0, 5.6 sowie 5.5.

Dabei wurden neben üblichen Bugfixes und kleineren Verbesserungen auch Sicherheitslücken geschlossen, z.B. der httpoxy-Bug.

Bei den neuen Versionen handelt es sich um:

  • 7.0.9
  • 5.6.24
  • 5.5.38

In den letzten Tagen erfuhren alle nginx-Server von Timme Hosting entsprechende Updates. Damit stehen die neuen PHP Versionen ab sofort für alle Kunden zur Verfügung. Dies betrifft alle nginx-Hostingpakete, nginx-Agenturpakete sowie alle nginx-Managed Server von Timme Hosting.

Wir empfehlen allen Kunden, auf eine der neuen PHP-Versionen umzusteigen, sofern möglich. Wir haben zusätzlich alle unsere nginx-Server so konfiguriert, daß ein Ausnutzen des httpoxy-Bugs nicht möglich ist, indem wir den HTTP_PROXY-Header nicht an PHP weiterreichen, so daß Sie vor dieser Lücke auch geschützt sind, wenn Sie nicht auf eine der neuen PHP-Versionen umsteigen können. Außerdem sind dadurch auch die älteren PHP-Zweige PHP 5.3 und 5.4 geschützt, für die kein Update seitens des PHP-Entwicklungsteams veröffentlicht wurde.

Detailinformationen zu den PHP Versions-Updates finden sich auch unter php.net.

Nach oben